name=webcord
version=3.9.3
release=1
desc='A Discord and Fosscord client made with the Electron API.'
homepage='https://github.com/SpacingBat3/Webcord'
architectures='any'
licenses='MIT'
provides='webcord'
conflicts='webcord'

deps=('electron20')

sources=("https://github.com/SpacingBat3/WebCord/archive/refs/tags/v3.9.3.tar.gz")
checksums=('SKIP')

prepare() {
npm i --ignore-scripts --prefix=. \
"@tsconfig/node16-strictest@^1.0.0" \
"@types/dompurify@^2.3.3" \
"@types/marked@^4.0.2" \
"@types/node@^18.6.4" \
"@types/pkgjs__parseargs@^0.10.0" \
"@types/semver@^7.3.9" \
"@types/source-map-support@^0.5.4" \
"@types/spdx-expression-parse@^3.0.1" \
"@types/ws@^8.5.1" \
"electron@>=13.0.0 <22.0.0"

rm -r "node_modules/electron/node_modules/@types/node"

cd "${_srcname}"
npm ci --omit=dev --ignore-scripts --prefix=.
rm -r "sources/code/build"
}